/**
 * mailtoui - A simple way to enhance your mailto links with a convenient user interface.
 * @version v0.2.2
 * @link https://mailtoui.com
 * @author Mario Rodriguez - https://twitter.com/mariordev
 * @license MIT
 */
var mailtouiApp=mailtouiApp||{};!function(e){var t=window.document.getElementsByTagName("html")[0],o=window.document.getElementsByTagName("body")[0],i=null,l=null,n=new Object;n.linkClass="mailtoui",n.autoClose=!0,scrollPosition=0,scrollBehavior="auto",e.buildStyleTag=function(){var t=window.document.createElement("style"),o=".mailtoui-modal{background-color:#000;background-color:rgba(0,0,0,.4);bottom:0;color:#303131;display:none;height:100%;left:0;margin:0;padding:0;position:fixed;right:0;top:0;width:100%;z-index:1000}.mailtoui-modal-content{-webkit-animation:appear .4s;animation:appear .4s;background-color:#f1f5f8;border-radius:8px;bottom:auto;-webkit-box-shadow:0 4px 8px 0 rgba(0,0,0,.2),0 6px 20px 0 rgba(0,0,0,.19);box-shadow:0 4px 8px 0 rgba(0,0,0,.2),0 6px 20px 0 rgba(0,0,0,.19);left:50%;max-height:calc(100% - 100px);overflow:scroll;padding:0;position:fixed;right:-45%;top:50%;-webkit-transform:translate(-50%,-50%);transform:translate(-50%,-50%)}.mailtoui-modal-content:focus,.mailtoui-modal-content:hover{overflow-y:auto}@media only screen and (min-width :768px){.mailtoui-modal-content{right:auto}}.mailtoui-modal-head{background-color:#fff;clear:both;padding:20px}.mailtoui-modal-title{font-size:100%;font-weight:700;margin:0;padding:0}.mailtoui-modal-close{color:#aaa;float:right;font-size:38px;font-weight:700;position:relative;top:-12px}.mailtoui-modal-close:focus,.mailtoui-modal-close:hover{color:#000;cursor:pointer;text-decoration:none}.mailtoui-modal-body{height:100%;padding:20px}.mailtoui-client{color:#333;outline:0;text-decoration:none}.mailtoui-client:focus .mailtoui-label{background-color:#555;color:#fff}.mailtoui-label{background-color:#fff;border-radius:8px;-webkit-box-shadow:0 2px 4px rgba(0,0,0,.18);box-shadow:0 2px 4px rgba(0,0,0,.18);margin-bottom:20px;padding:15px 20px}.mailtoui-label:hover{background-color:#555;color:#fff}.mailtoui-client:last-child .mailtoui-label{margin-bottom:0}.mailtoui-label-icon{font-weight:700;position:relative;top:4px}.mailtoui-label-text{margin-left:5px}.mailtoui-copy{border-radius:8px;margin-top:20px;position:relative;-webkit-box-shadow:0 2px 4px rgba(0,0,0,.18);box-shadow:0 2px 4px rgba(0,0,0,.18);height:59px}.mailtoui-copy-button{background-color:#fff;border:none;border-top-right-radius:8px;border-bottom-right-radius:8px;bottom:21px;color:#303131;font-size:100%;height:100%;outline:0;position:absolute;right:0;top:0;width:100px}.mailtoui-copy-button:focus,.mailtoui-copy-button:hover{background-color:#555;color:#fff;cursor:pointer;outline:0}.mailtoui-copy-email-address{background-color:#d8dcdf;border-radius:8px;border:none;-webkit-box-sizing:border-box;box-sizing:border-box;color:#48494a;font-size:100%;height:100%;outline:0;overflow:hidden;padding:20px 120px 20px 20px;width:100%}.mailtoui-no-scroll{overflow:hidden;position:fixed;width:100%}.mailtoui-is-hidden{display:none;visibility:hidden}@-webkit-keyframes appear{0%{opacity:0;-webkit-transform:translate(-50%,-50%) scale(0,0);transform:translate(-50%,-50%) scale(0,0)}100%{opacity:1;-webkit-transform:translate(-50%,-50%) scale(1,1);transform:translate(-50%,-50%) scale(1,1)}}@keyframes appear{0%{opacity:0;-webkit-transform:translate(-50%,-50%) scale(0,0);transform:translate(-50%,-50%) scale(0,0)}100%{opacity:1;-webkit-transform:translate(-50%,-50%) scale(1,1);transform:translate(-50%,-50%) scale(1,1)}}";return o=o.replace(/mailtoui/g,e.prefix()),t.setAttribute("id",e.prefix("-styles")),t.setAttribute("type","text/css"),t.styleSheet?t.styleSheet.cssText=o:t.appendChild(document.createTextNode(o)),t},e.embedStyleTag=function(){if(!e.styleTagExists()){var t=window.document.head.firstChild;window.document.head.insertBefore(e.buildStyleTag(),t)}},e.styleTagExists=function(){return!!window.document.getElementById(e.prefix("-styles"))},e.buildModal=function(){var t=window.document.createElement("div"),o='<svg viewBox="0 0 24 24" width="24" height="24"><g class="nc-icon-wrapper" stroke-linecap="square" stroke-linejoin="miter" stroke-width="2" fill="currentColor" stroke="currentColor"><path data-cap="butt" data-color="color-2" fill="none" stroke-miterlimit="10" d="M5.704,2.979 c0.694,0.513,1.257,1.164,1.767,2.02C7.917,5.746,8.908,7.826,8,9c-1.027,1.328-4,1.776-4,3c0,0.921,1.304,1.972,2,3 c1.047,1.546,0.571,3.044,0,4c-0.296,0.496-0.769,0.92-1.293,1.234" stroke-linecap="butt"/> <path data-cap="butt" data-color="color-2" fill="none" stroke-miterlimit="10" d="M20.668,5.227 C18.509,6.262,15.542,6.961,15,7c-1.045,0.075-1.2-0.784-2-2c-0.6-0.912-2-2.053-2-3c0-0.371,0.036-0.672,0.131-0.966" stroke-linecap="butt"/> <circle fill="none" stroke="currentColor" stroke-miterlimit="10" cx="12" cy="12" r="11"/> <path data-cap="butt" data-color="color-2" fill="none" stroke-miterlimit="10" d="M19.014,12.903 C19.056,15.987,15.042,19.833,13,19c-1.79-0.73-0.527-2.138-0.986-6.097c-0.191-1.646,1.567-3,3.5-3S18.992,11.247,19.014,12.903z" stroke-linecap="butt"/></g></svg>',i=`<div class="mailtoui-modal-content"><div class="mailtoui-modal-head"><span id="mailtoui-modal-close" class="mailtoui-modal-close">&times</span> <span class="mailtoui-modal-title">Compose new email with</span></div><div class="mailtoui-modal-body"><div class="mailtoui-clients"><a id="mailtoui-client-gmail" class="mailtoui-client" href="#"><div class="mailtoui-label"><span class="mailtoui-label-icon">${o}</span> <span class="mailtoui-label-text">Gmail in browser</span></div></a><a id="mailtoui-client-outlook" class="mailtoui-client" href="#"><div class="mailtoui-label"><span class="mailtoui-label-icon">${o}</span> <span class="mailtoui-label-text">Outlook in browser</span></div></a><a id="mailtoui-client-yahoo" class="mailtoui-client" href="#"><div class="mailtoui-label"><span class="mailtoui-label-icon">${o}</span> <span class="mailtoui-label-text">Yahoo in browser</span></div></a><a id="mailtoui-client-default" class="mailtoui-client" href="#"><div class="mailtoui-label"><span class="mailtoui-label-icon"><svg viewBox="0 0 24 24" xml:space="preserve" width="24" height="24"><g class="nc-icon-wrapper" stroke-linecap="square" stroke-linejoin="miter" stroke-width="2" fill="currentColor" stroke="currentColor"><line data-color="color-2" fill="none" stroke-miterlimit="10" x1="5" y1="6" x2="6" y2="6"/> <line data-color="color-2" fill="none" stroke-miterlimit="10" x1="10" y1="6" x2="11" y2="6"/> <line data-color="color-2" fill="none" stroke-miterlimit="10" x1="15" y1="6" x2="19" y2="6"/> <line fill="none" stroke="currentColor" stroke-miterlimit="10" x1="1" y1="10" x2="23" y2="10"/> <rect x="1" y="2" fill="none" stroke="currentColor" stroke-miterlimit="10" width="22" height="20"/></g></svg></span> <span class="mailtoui-label-text">Default email app</span></div></a></div><div id="mailtoui-copy" class="mailtoui-copy"><div id="mailtoui-copy-email-address" class="mailtoui-copy-email-address"></div><button id="mailtoui-copy-button" class="mailtoui-copy-button" data-copytargetid="mailtoui-copy-email-address">Copy</button></div></div></div>`;return i=i.replace(/mailtoui/g,e.prefix()),t.setAttribute("id",e.prefix("-modal")),t.setAttribute("class",e.prefix("-modal")),t.setAttribute("style","display: none;"),t.setAttribute("aria-hidden",!0),t.innerHTML=i,t},e.embedModal=function(){if(!e.modalExists()){var t=e.buildModal(),o=window.document.body.firstChild;window.document.body.insertBefore(t,o)}},e.modalExists=function(){return!!window.document.getElementById(e.prefix("-modal"))},e.getModal=function(t){return e.hydrateModal(t),window.document.getElementById(e.prefix("-modal"))},e.hydrateModal=function(t){var o=e.getEmail(t),i=e.getLinkField(t,"subject"),l=e.getLinkField(t,"cc"),n=e.getLinkField(t,"bcc"),a=e.getLinkField(t,"body");window.document.getElementById(e.prefix("-client-gmail")).href="https://mail.google.com/mail/?view=cm&fs=1&to="+o+"&su="+i+"&cc="+l+"&bcc="+n+"&body="+a,window.document.getElementById(e.prefix("-client-outlook")).href="https://outlook.office.com/owa/?path=/mail/action/compose&to="+o+"&subject="+i+"&body="+a,window.document.getElementById(e.prefix("-client-yahoo")).href="https://compose.mail.yahoo.com/?to="+o+"&subject="+i+"&cc="+l+"&bcc="+n+"&body="+a,window.document.getElementById(e.prefix("-client-default")).href="mailto:"+o+"?subject="+i+"&cc="+l+"&bcc="+n+"&body="+a,window.document.getElementById(e.prefix("-copy-email-address")).innerHTML=o,e.toggleHideCopyUI(o)},e.saveMobilePageScrollPosition=function(){scrollPosition=window.pageYOffset,o.style.top=-scrollPosition+"px"},e.restoreMobilePageScrollPosition=function(){window.scrollTo(0,scrollPosition),o.style.top=0},e.saveScrollBehavior=function(){scrollBehavior=t.style.scrollBehavior,t.style.scrollBehavior="auto"},e.restoreScrollBehavior=function(){t.style.scrollBehavior=scrollBehavior},e.saveLastDocElementFocused=function(){l=document.activeElement},e.openModal=function(t){t.preventDefault(),e.saveLastDocElementFocused(),e.saveMobilePageScrollPosition(),e.saveScrollBehavior(),e.displayModal(t),e.hideModalFromScreenReader(!1),e.enablePageScrolling(!1),e.modalFocus(),e.triggerEvent(i,"open")},e.displayModal=function(t){var o=e.getParentAnchor(t.target);(i=e.getModal(o)).style.display="block"},e.modalFocus=function(){i.focusableChildren=Array.from(i.querySelectorAll('a[href], input:not([disabled]), button:not([disabled]), [tabindex]:not([tabindex="-1"])')),i.focusableChildren[0].focus()},e.closeModal=function(t){t.preventDefault(),e.hideModal(),e.enablePageScrolling(!0),e.restoreMobilePageScrollPosition(),e.restoreScrollBehavior(),e.docRefocus(),e.triggerEvent(i,"close")},e.hideModal=function(){e.hideModalFromScreenReader(!0),i.style.display="none"},e.hideModalFromScreenReader=function(e){i.setAttribute("aria-hidden",e)},e.enablePageScrolling=function(i){i?(o.classList.remove(e.prefix("-no-scroll")),t.classList.remove(e.prefix("-no-scroll"))):(o.classList.add(e.prefix("-no-scroll")),t.classList.add(e.prefix("-no-scroll")))},e.docRefocus=function(){l.focus()},e.openClient=function(t){var o="_blank";null!==t&&(t.id==e.prefix("-client-default")&&(o="_self"),window.open(t.href,o),e.triggerEvent(t,"compose"),n.autoClose&&e.closeModal(event))},e.getParentAnchor=function(e){for(;null!==e;){if("A"===e.tagName.toUpperCase())return e;e=e.parentNode}return null},e.triggerEvent=function(e,t){var o=new Event(t);e.dispatchEvent(o)},e.listenForEvents=function(){e.listenForClickOnLink(),e.listenForClickOnClient(),e.listenForClickOnCopy(),e.listenForClickOnClose(),e.listenForClickOnWindow(),e.listenForKeys()},e.listenForClickOnLink=function(){for(var t=window.document.getElementsByClassName(e.prefix()),o=0;o<t.length;o++)t[o].addEventListener("click",function(t){e.openModal(t)},!1)},e.listenForClickOnClient=function(){for(var t=window.document.getElementsByClassName(e.prefix("-client")),o=0;o<t.length;o++)t[o].addEventListener("click",function(t){t.preventDefault(),t.stopPropagation();var o=e.getParentAnchor(t.target);e.openClient(o)},!1)},e.listenForClickOnCopy=function(){for(var t=window.document.getElementsByClassName(e.prefix("-copy-button")),o=0;o<t.length;o++)t[o].addEventListener("click",function(t){e.copy(t)},!1)},e.listenForClickOnClose=function(){for(var t=window.document.getElementsByClassName(e.prefix("-modal-close")),o=0;o<t.length;o++)t[o].addEventListener("click",function(t){e.closeModal(t)},!1)},e.listenForClickOnWindow=function(){window.addEventListener("click",function(t){var o=t.target;null!==o&&o.classList.contains(e.prefix("-modal"))&&e.closeModal(t)},!1)},e.listenForKeys=function(){window.document.addEventListener("keydown",function(t){e.escapeModal(t),e.trapTabWithinModal(t)},!1)},e.escapeModal=function(t){27===t.keyCode&&e.closeModal(t)},e.trapTabWithinModal=function(e){if(9===e.keyCode&&null!==i){var t=document.activeElement,o=i.focusableChildren.length,l=i.focusableChildren.indexOf(t);e.shiftKey?0===l&&(e.preventDefault(),i.focusableChildren[o-1].focus()):l==o-1&&(e.preventDefault(),i.focusableChildren[0].focus())}},e.getLinks=function(){return window.document.getElementsByClassName(e.prefix())},e.splitLink=function(e){var t=e.href.replace("mailto:","").trim(),o=t.split("?",1);return null!==o&&o.length>0&&(o[1]=t.replace(o[0]+"?","").trim()),o},e.getLinkField=function(t,o){var i=e.splitLink(t),l="",n=[],a=[];null!==i&&i.length>0&&(l=i[1]),null!==l&&l.length>0&&(n=(l=l.replace("%20&%20","%20%26%20")).split("&"));for(var r=0;r<n.length;r++){n[r]=n[r].replace("%20=%20","%20%3D%20"),a=n[r].split("=");for(var s=0;s<a.length;s++)if(a[0]==o)return a[1]}return""},e.getEmail=function(t){var o=e.splitLink(t),i="";return null!==o&&o.length>0&&(i=o[0]),decodeURIComponent(i)},e.getClassHideCopyUI=function(){return e.prefix("-is-hidden")},e.toggleHideCopyUI=function(t){var o=window.document.getElementById(e.prefix("-copy"));0==t.length?o.classList.add(e.getClassHideCopyUI()):o.classList.remove(e.getClassHideCopyUI())},e.setCopyButtonText=function(e){e.innerHTML="Copied!",setTimeout(function(){e.innerHTML="Copy"},600)},e.copy=function(t){t.preventDefault();var o=t.target.getAttribute("data-copytargetid"),i=document.getElementById(o),l=document.createRange();l.selectNodeContents(i);var n=window.getSelection();n.removeAllRanges(),n.addRange(l),document.execCommand("copy"),e.triggerEvent(i,"copy"),e.setCopyButtonText(t.target)},e.isiOSDevice=function(){return navigator.userAgent.match(/ipad|iphone/i)},e.setOptions=function(t){if(t)var o=JSON.stringify(t);else o=e.getOptionsFromScriptTag();if(o&&o.trim().length>0)for(var i in o=JSON.parse(o),n)o.hasOwnProperty(i)&&(n[i]=o[i])},e.getOptionsFromScriptTag=function(){var e=document.getElementsByTagName("script");return e[e.length-1].getAttribute("data-options")},e.prefix=function(e=""){return n.linkClass+e},e.run=function(t=null){e.setOptions(t),e.embedModal(),e.embedStyleTag(),e.listenForEvents()}}(mailtouiApp),"undefined"!=typeof module&&void 0!==module.exports?module.exports=mailtouiApp:mailtouiApp.run();